Class CreateBdsCertificateConfigurationDetails
The request body for generating BDS certificate configuration.
Inherited Members
Namespace: Oci.BdsService.Models
Assembly: OCI.DotNetSDK.Bds.dll
Syntax
public class CreateBdsCertificateConfigurationDetails
Properties
CertificateAuthorityId
Declaration
[JsonProperty(PropertyName = "certificateAuthorityId")]
public string CertificateAuthorityId { get; set; }
Property Value
| Type | Description |
|---|---|
| string | The OCID of the certificate authority which is associated with this certificate configuration. |
CertificateType
Declaration
[Required(ErrorMessage = "CertificateType is required.")]
[JsonProperty(PropertyName = "certificateType")]
[JsonConverter(typeof(StringEnumConverter))]
public BdsCertificateConfiguration.TypeEnum? CertificateType { get; set; }
Property Value
| Type | Description |
|---|---|
| BdsCertificateConfiguration.TypeEnum? | The type of the BDS certificate configuration, also the type of the BDS certificates which will be generated by the BDS certificate configuration. |
Remarks
Required
CompartmentId
Declaration
[JsonProperty(PropertyName = "compartmentId")]
public string CompartmentId { get; set; }
Property Value
| Type | Description |
|---|---|
| string | The OCID of the compartment of the certificate authority connecting to this certificate configuration. |
DisplayName
Declaration
[Required(ErrorMessage = "DisplayName is required.")]
[JsonProperty(PropertyName = "displayName")]
public string DisplayName { get; set; }
Property Value
| Type | Description |
|---|---|
| string | The display name of the BDS certificate configuration. |
Remarks
Required